StopWatch.TaskInfo (Grails 6.0.0)

Package: org.grails.core.util

## [Java] Class StopWatch.TaskInfo

- org.grails.core.util.StopWatch.TaskInfo

-     public static final class StopWatch.TaskInfo

  Inner class to hold data about one task executed within the stop watch.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private long` | `endTime` |
    `private long` | `startTime` |
    `private java.lang.String` | `taskName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TaskInfo (java.lang.String taskName, long startTime)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getTaskName()` Return the name of this task.
    `` | `public long` | `getTimeMillis()` Return the time in milliseconds this task took.
    `` | `public double` | `getTimeSeconds()` Return the time in seconds this task took.
    `` | `public void` | `stop()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private long endTime

    - #### private final long startTime

    - #### private final java.lang.String taskName

  - ### Constructor Detail

    - #### TaskInfo(java.lang.String taskName, long startTime)

  - ### Method Detail

    - #### public java.lang.String getTaskName()

      Return the name of this task.

    - #### public long getTimeMillis()

      Return the time in milliseconds this task took.

    - #### public double getTimeSeconds()

      Return the time in seconds this task took.

    - #### public void stop()